Bug 137617 - kwireless reports no network when session is resumed or network restarted
Summary: kwireless reports no network when session is resumed or network restarted
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase   
(Show other bugs)
Version: 3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-29 19:26 UTC by Kim Lux
Modified: 2008-08-02 23:40 UTC (History)
1 user (show)

Fixed In Version: FC6-update
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 15:45:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kim Lux 2004-10-29 19:26:05 UTC
Description of problem:

Kwireless reports no connection when there actually is one.  This
happens when a session is started where kwireless was in use in the
previous session or when kwrireless is in the system tray. 

I'm using ndiswrapper version 0.11.  It has worked well for me with no
problems. 

Version-Release number of selected component (if applicable):

kdebase-3.3.0-8


How reproducible: Every time. 


Steps to Reproduce:
1. Install kwireless in the tray.  Log out.  Log in.  Will show no
connection. 
2.
3. /etc/init.d/network restart. 
  
Actual results:

kwireless goes black with a red x through it even though wlan0 is work
ing fine.  By working fine I mean that the restart script reported
success and you can surf the internet. 

Expected results:

kwrireless should report a good connection and it strength, etc.

Additional info:

It worked fine in FC3T3.  I was happy to see it as a standard
component.  It kicks the Windows equivalent !  I can't wait to use it
with the sound feedback for finding good signals.

Comment 1 Kim Lux 2004-10-29 21:38:07 UTC
I should add some more information to this report:

a) I am running KDE, not gnome.

b) If I right click quit the kwireless appl. in the tray and start a
new one, it shows the network working like it should.  kwireless
works, it just doesn't find the network at the start of a session. 

c) kwireless is trying to find the connection, ie it flickers about
once every 2 seconds and refreshes the no network found text. 

Comment 2 Kim Lux 2004-11-01 20:22:57 UTC
This appears to work properly with kernel 2.6.9-1.649. 

Comment 3 Kim Lux 2004-11-02 16:11:24 UTC
This is still an isse with 2.6.9-1.649 

Comment 4 Kim Lux 2004-11-03 01:45:14 UTC
The issue described occurs with smp kernels.  I am testing FC3rc3 
with a HP ZD7000 laptop which has a dual core P4 processor.  When I 
boot a smp kernel, info center shows 2 processors running.  Kwireless 
works fine with a non smp kernel.  

Comment 5 Matthew Miller 2006-07-10 20:19:58 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 6 Kim Lux 2006-10-30 15:15:14 UTC
This issue seems to be resolved.  It can be closed as far as I am concerned.


Note You need to log in before you can comment on or make changes to this bug.